/* $Cambridge: hermes/src/prayer/servers/session_streams.h,v 1.3 2008/09/16 09:59:57 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2008 */
/* See the file NOTICE for conditions of use and distribution. */

BOOL session_streams_idle(struct session *session);

BOOL session_streams_check(struct session *session);

BOOL session_streams_change(struct session *session, char *name);

MAILSTREAM *session_streams_find(struct session *session, char *name);

BOOL session_streams_ping(struct session *session, char *mailbox);

BOOL session_streams_save_options(struct session *session);

void session_streams_close(struct session *session);
